Skip to main content
POST
/
v2
/
private
/
webhooks
/
{id}
/
events
/
send
Send event
curl --request POST \
  --url https://api.crowdchange.dev/v2/private/webhooks/{id}/events/send \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": 123,
  "event": "<string>"
}
'
{
  "status": "ok"
}

Path parameters

id
integer
required
Webhook ID.

Body

id
integer
required
Entity ID. (Campaign/Transaction/Tax Receipt/Team/Personal Page)
event
string
required
Event name. Allowed values: fundraiser_created, fundraiser_updated, transaction_created, fundraiser_team_created, fundraiser_team_updated, fundraiser_page_created, fundraiser_page_updated, tax_receipt_issued

Response

status
string
Status of the operation. Check the logs if you want to know the HTTP-code returned by your server.
Other responses
StatusDescription
400Bad Request
401Unauthorized
403Forbidden
{
  "status": "ok"
}